function dashMenuToggle() {

    $('.app-container').toggleClass('sidebar-action');
  
  }
  
  
  
  function homeMenuToggle() {
  
    $('.head-menu').slideToggle(200);
  
  }
  
  
  
  function mainDropdown() {
  
    $('.main-dd').toggleClass('hidden');
  
  }
  
  
  
  $(function () {
  
    $('[data-toggle="tooltip"]').tooltip();
  
  
  
    if($("#dc-body").length) {
  
        $("#dc2-body").height($("#dc-body").height());
  
    }
  
  })
  
  
  
  $(document).ready(function() {
  
      $("#serv-inp").on("keyup", function() {
  
          var value = $(this).val().toLowerCase();
  
          $(".app-mtable tr").filter(function() {
  
              $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
  
          });
  
      });
  
  });
  
  
  
  $('.services-list-filter').click(function(){
  
  
  
      var dataFilter=$(this).data("services-filter");
  
        console.log(dataFilter);
  
          var value = dataFilter;
  
          $(".app-mtable tr").filter(function() {
  
              $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
  
          });
  
     });
  
  
  
  
  
  $('.sss-tab').click(function(){
  
    if($(this).hasClass('active')){
  
        $(this).find('.sss-tcontent').slideToggle(200);
  
        $(this).toggleClass('active');
  
    }else {
  
        $('.sss-tab').removeClass('active');
  
        $('.sss-tab > .sss-tcontent').slideUp(200);
  
        $(this).find('.sss-tcontent').slideToggle(200);
  
        $(this).toggleClass('active');
  
    }
  
  });
  
  
  
  function copywalletid(element) {
  
    var $temp = $("<input>");
  
    $("body").append($temp);
  
    $temp.val($(element).text()).select();
  
    document.execCommand("copy");
  
    $temp.remove();
  
  }
  
  
  
  function change_mode() {
  
  
  
      var app = document.getElementsByTagName("BODY")[0];
  
  
  
      if (localStorage.lightMode == "dark") {
  
          localStorage.lightMode = "light";
  
          app.setAttribute("class", "light");
  
      } else {
  
          localStorage.lightMode = "dark";
  
          app.setAttribute("class", "dark");
  
      }
  
      console.log("lightMode = " + localStorage.lightMode);
  
  }
  
  
  
  $("#orderform-service").change(function () {
  
      service_id = $(this).val();
  
      $("#s_id").text(service_id);
  
  
  
  })
  
  
  
  $(window).on("load", function () {
  
    if ($("#g-recaptcha-response") !== null) {
  
      $("#g-recaptcha-response").attr("required", true);
  
    }
  
  });
  
  $(".icon-details").click(function () {
  
    $("#detailsModalLabel").text(
  
      $(this).parent().parent().find("td:eq(0)").text()
  
    );
  
    $("#detailsModal .modal-body").html($(this).data("details"));
  
    $("#detailsModal").modal("show");
  
  });
  
  $.expr[":"].icontains = function (a, i, m) {
  
    return $(a).text().toUpperCase().indexOf(m[3].toUpperCase()) >= 0;
  
  };
  
  
  
  
  
  $(document).ready(function(){
  
    $('[data-toggle="tooltip"]').tooltip();
  
  });
  
  
  
  